/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.runtime.development.host;

import java.util.HashMap;
import java.util.Map;

/**
 * Default implementation of the MockObjectCache
 *
 * @version $Rev: 233 $ $Date: 2007-06-14 12:50:10 -0700 (Thu, 14 Jun 2007) $
 */
public class MockObjectCacheImpl implements MockObjectCache {
    private Map<String, MockDefinition<?>> mocks = new HashMap<String, MockDefinition<?>>();

    public void putMockDefinition(String name, MockDefinition<?> mock) {
        mocks.put(name, mock);
    }

    public MockDefinition<?> getMockDefinition(String name) {
        return mocks.get(name);
    }
}
